
From: Francois Romieu <romieu@fr.zoreil.com>

Advertise the ability to DMA to high memory.

Signed-off-by: Francois Romieu <romieu@fr.zoreil.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/r8169.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

diff -puN drivers/net/r8169.c~r8169-advertise-dma-to-high-memory drivers/net/r8169.c
--- 25/drivers/net/r8169.c~r8169-advertise-dma-to-high-memory	2004-08-24 19:18:38.662169608 -0700
+++ 25-akpm/drivers/net/r8169.c	2004-08-24 19:18:38.667168848 -0700
@@ -1029,10 +1029,10 @@ rtl8169_init_board(struct pci_dev *pdev,
 
 	tp->cp_cmd = PCIMulRW | RxChkSum;
 
-	if ((sizeof(dma_addr_t) > 32) &&
-	    !pci_set_dma_mask(pdev, DMA_64BIT_MASK))
+	if ((sizeof(dma_addr_t) > 32) && !pci_set_dma_mask(pdev, DMA_64BIT_MASK)) {
 		tp->cp_cmd |= PCIDAC;
-	else {
+		dev->features |= NETIF_F_HIGHDMA;
+	} else {
 		rc = pci_set_dma_mask(pdev, DMA_32BIT_MASK);
 		if (rc < 0) {
 			printk(KERN_ERR PFX "DMA configuration failed.\n");
@@ -1040,7 +1040,6 @@ rtl8169_init_board(struct pci_dev *pdev,
 		}
 	}
 
-
 	pci_set_master(pdev);
 
 	// ioremap MMIO region 
_
